/// <reference types="node" />
import { EventEmitter } from "events";
export interface EventMessage {
    readonly resource: EventResource;
    readonly type: EventType;
    readonly data: any;
    readonly time: number;
}
export declare type EventResource = "program" | "service" | "tuner";
export declare type EventType = "create" | "update" | "redefine";
export default class Event extends EventEmitter {
    static get log(): EventMessage[];
    static onEvent(listener: (message: EventMessage) => void): void;
    static onceEvent(listener: (message: EventMessage) => void): void;
    static removeListener(listener: (...args: any[]) => void): void;
    static emit(resource: EventResource, type: EventType, data: any): boolean;
    private _log;
    constructor();
    get log(): EventMessage[];
}
