"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const events_1 = require("events");
const _1 = require("./_");
class Event extends events_1.EventEmitter {
    constructor() {
        super();
        this._log = [];
        this.on("event", message => {
            this._log.unshift(message);
            if (this._log.length > 100) {
                this._log.pop();
            }
        });
    }
    static get log() {
        return _1.default.event.log;
    }
    static onEvent(listener) {
        _1.default.event.on("event", listener);
    }
    static onceEvent(listener) {
        _1.default.event.once("event", listener);
    }
    static removeListener(listener) {
        _1.default.event.removeListener("event", listener);
    }
    static emit(resource, type, data) {
        const message = {
            resource: resource,
            type: type,
            data: data,
            time: Date.now()
        };
        return _1.default.event.emit("event", message);
    }
    get log() {
        return this._log;
    }
}
exports.default = Event;
//# sourceMappingURL=Event.js.map