/// <reference types="node" />
import * as stream from "stream";
import { StreamInfo } from "./common";
interface StreamOptions extends stream.TransformOptions {
    readonly networkId?: number;
    readonly serviceId?: number;
    readonly eventId?: number;
    readonly noProvide?: boolean;
    readonly parseNIT?: boolean;
    readonly parseSDT?: boolean;
    readonly parseEIT?: boolean;
    readonly tsmfRelTs?: number;
}
export default class TSFilter extends stream.Transform {
    streamInfo: StreamInfo;
    private _provideServiceId;
    private _provideEventId;
    private _parseNIT;
    private _parseSDT;
    private _parseEIT;
    private _targetNetworkId;
    private _tsmfEnableTsmfSplit;
    private _tsmfSlotCounter;
    private _tsmfRelativeStreamNumber;
    private _tsmfTsNumber;
    private _parser;
    private _packet;
    private _offset;
    private _buffer;
    private _parses;
    private _patsec;
    private _closed;
    private _ready;
    private _providePids;
    private _parsePids;
    private _tsid;
    private _patCRC;
    private _serviceIds;
    private _parseServiceIds;
    private _pmtPid;
    private _pmtTimer;
    private _streamTime;
    private _epgReady;
    private _epgState;
    private _overflowTimer;
    private _provideEventLastDetectedAt;
    private _provideEventTimeout;
    private highWaterMark;
    private _overflowTimeLimit;
    private _maxBufferBytesBeforeReady;
    private _eventEndTimeout;
    private _readableState;
    constructor(options: StreamOptions);
    _transform(chunk: Buffer, encoding: string, callback: Function): void;
    private _processPacket;
    private _onPAT;
    private _onPMT;
    private _onNIT;
    private _onSDT;
    private _onEIT;
    private _onTOT;
    private _onCDT;
    private _observeProvideEvent;
    private _updateEpgState;
    private _close;
}
export {};
