/// <reference types="node" />
import * as stream from "stream";
import * as common from "./common";
import * as db from "./db";
import TunerDevice from "./TunerDevice";
import ChannelItem from "./ChannelItem";
import ServiceItem from "./ServiceItem";
export default class Tuner {
    static all(): TunerDevice[];
    static get(index: number): TunerDevice;
    static typeExists(type: common.ChannelType): boolean;
    static getChannelStream(channel: ChannelItem, user: common.User): Promise<stream.Readable>;
    static getServiceStream(service: ServiceItem, user: common.User): Promise<stream.Readable>;
    static getProgramStream(program: db.Program, user: common.User): Promise<stream.Readable>;
    static getEPG(channel: ChannelItem, time?: number): Promise<void>;
    static getServices(channel: ChannelItem): Promise<db.Service[]>;
    private _devices;
    constructor();
    get devices(): TunerDevice[];
    get(index: number): TunerDevice;
    typeExists(type: common.ChannelType): boolean;
    getChannelStream(channel: ChannelItem, userReq: common.UserRequest): Promise<stream.Readable>;
    getServiceStream(service: ServiceItem, userReq: common.UserRequest): Promise<stream.Readable>;
    getProgramStream(program: db.Program, userReq: common.UserRequest): Promise<stream.Readable>;
    getEPG(channel: ChannelItem, time?: number): Promise<void>;
    getServices(channel: ChannelItem): Promise<db.Service[]>;
    private _load;
    private _getStream;
    private _getDevicesByType;
}
