"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.get = void 0;
const sift_1 = require("sift");
const api = require("../api");
const Service_1 = require("../Service");
const common_1 = require("../common");
const get = (req, res) => {
    const services = [...Service_1.default.all()];
    services.sort((a, b) => a.getOrder() - b.getOrder());
    api.responseJSON(res, sift_1.default(req.query, services.map(service => service.export())));
};
exports.get = get;
exports.get.apiDoc = {
    tags: ["services"],
    operationId: "getServices",
    parameters: [
        {
            in: "query",
            name: "serviceId",
            type: "integer",
            required: false
        },
        {
            in: "query",
            name: "networkId",
            type: "integer",
            required: false
        },
        {
            in: "query",
            name: "name",
            type: "string",
            required: false
        },
        {
            in: "query",
            name: "type",
            type: "integer",
            required: false
        },
        {
            in: "query",
            name: "channel.type",
            type: "string",
            enum: Object.keys(common_1.ChannelTypes),
            required: false
        },
        {
            in: "query",
            name: "channel.channel",
            type: "string",
            required: false
        }
    ],
    responses: {
        200: {
            description: "OK",
            schema: {
                type: "array",
                items: {
                    $ref: "#/definitions/Service"
                }
            }
        },
        default: {
            description: "Unexpected Error",
            schema: {
                $ref: "#/definitions/Error"
            }
        }
    }
};
//# sourceMappingURL=services.js.map