import ChannelItem from "./ChannelItem";
export interface User {
    readonly id: string;
    readonly priority: number;
    readonly agent?: string;
    readonly url?: string;
    readonly disableDecoder?: boolean;
    readonly streamSetting?: StreamSetting;
    readonly streamInfo?: StreamInfo;
}
export declare type UserRequest = Omit<User, "streamSetting">;
interface StreamSetting {
    channel: ChannelItem;
    networkId?: number;
    serviceId?: number;
    eventId?: number;
    noProvide?: boolean;
    parseNIT?: boolean;
    parseSDT?: boolean;
    parseEIT?: boolean;
}
export interface StreamInfo {
    [PID: string]: {
        packet: number;
        drop: number;
    };
}
export declare enum ChannelTypes {
    "GR" = "GR",
    "BS" = "BS",
    "CS" = "CS",
    "SKY" = "SKY"
}
export declare type ChannelType = keyof typeof ChannelTypes;
export declare function extendObject<T, U>(b: T, a: U): T;
export declare function updateObject<T, U>(b: T, a: U): boolean;
export declare function sleep(ms: number): Promise<void>;
export {};
