"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPrivateIPv6Addresses = exports.getPrivateIPv4Addresses = void 0;
const os = require("os");
const ip = require("ip");
function getPrivateIPv4Addresses() {
    const addresses = [];
    const interfaces = os.networkInterfaces();
    Object.keys(interfaces).forEach(k => {
        interfaces[k]
            .filter(a => {
            return (a.family === "IPv4" &&
                a.internal === false &&
                ip.isPrivate(a.address) === true);
        })
            .forEach(a => addresses.push(a.address));
    });
    return addresses;
}
exports.getPrivateIPv4Addresses = getPrivateIPv4Addresses;
function getPrivateIPv6Addresses() {
    const addresses = [];
    const interfaces = os.networkInterfaces();
    Object.keys(interfaces).forEach(k => {
        interfaces[k]
            .filter(a => {
            return (a.family === "IPv6" &&
                a.internal === false &&
                ip.isPrivate(a.address) === true);
        })
            .forEach(a => addresses.push(a.address + "%" + k));
    });
    return addresses;
}
exports.getPrivateIPv6Addresses = getPrivateIPv6Addresses;
//# sourceMappingURL=system.js.map